Subject: CNG Complexity

From: Robert Zopf <[email-masked]>
Date: Tue, 16 Nov 1999 14:10:25 -0500

All,

In order to accurately measure the complexity of candidate algorithms, 
Lucent proposes that all algorithms be submitted using the basic operators 
used in G.729.  There is an updated basic operator library with the ability 
to count WMOPS (sent out on the reflector on 08/09/99 by Simao) that could 
be used to measure the complexity of candidate algorithms.

We propose that if more than one candidate meets the requirements, that the 
selection then be based on the WMOPS.  The worst case WMOPS would be used 
for a 5ms frame with the CN analysis/synthesis operating every frame 
(VAD=0, and CN updated every frame).

Other proposals ?

Since the complexity requirement is currently stated in MIPS, we should 
change it to WMOPS.  Does anyone have a mapping from WMOPS (as in the basic 
op library) to MIPS on a typical fixed-point DSP ?

Rob.